Upgrade assistance Mongo DB 4.0 to 4.2

Hello Everyone,

I want to upgrade Mongo DB from 4.0 > 4.2 > 4.4 > 5.0 > 6.0

I am facing issue while I am trying to upgrade from 4.0 > 4.2

OS : Red Hat Enterprise Linux Server release 7.9 (Maipo)

These are the currently installed Mongo Packages :

mongodb-org-tools-4.0.10-1.el7.x86_64
mongodb-org-mongos-4.0.10-1.el7.x86_64
mongodb-org-server-4.0.10-1.el7.x86_64
mongodb-org-shell-4.0.10-1.el7.x86_64
mongodb-org-4.0.10-1.el7.x86_64

I have following Packages to upgrade 4.2 :

rwxr-xr-x 1 root root 64989449 Dec 18 12:08 mongodb-org-tools-4.2.10-1.el7.x86_64.rpm
-rwxr-xr-x 1 root root 26663367 Dec 18 12:08 mongodb-org-server-4.2.10-1.el7.x86_64.rpm
-rwxr-xr-x 1 root root 17570319 Dec 18 12:08 mongodb-org-shell-4.2.10-1.el7.x86_64.rpm
-rwxr-xr-x 1 root root 6056 Dec 18 12:08 mongodb-org-4.2.10-1.el7.x86_64.rpm
-rwxr-xr-x 1 root root 15217388 Dec 18 12:08 mongodb-org-mongos-4.2.10-1.el7.x86_64.rpm

I am getting below error :

[root@dgraystg1 Mongodb-version-4.2]# rpm -Uvh mongodb-org-server-4.2.10-1.el7.x86_64.rpm
warning: mongodb-org-server-4.2.10-1.el7.x86_64.rpm: Header V3 RSA/SHA1 Signature, key ID 058f8b6b: NOKEY
error: Failed dependencies:
** mongodb-org-server = 4.0.10 is needed by (installed) mongodb-org-4.0.10-1.el7.x86_64**

Hello @Ifteakhar_Ali

Reason and workaround found in this topic:

1 Like